Bug 523312

Summary: KVM guest freezes during DesktopBSD 1.7 installation
Product: [Fedora] Fedora Reporter: Bryan Christ <bryan.christ>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 11CC: berrange, chellwig, dwmw2, gcosta, itamar, jaswinder, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 10:39:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 480594    
Attachments:
Description Flags
pci devices
none
cpu info none

Description Bryan Christ 2009-09-14 16:47:04 EDT
Description of problem:

Qemu stops because DesktopBSD 1.7 freezes during the file copy portion of installation.  Restarting the install does not help.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.  Configure a qcow2 drive image.
2.  Configure qemu to install DesktopBSD 1.7 from ISO image.
3.  Configure DesktopBSD to use entire drive.
  
Actual results:

DesktopBSD 1.7 freezes during file copy operation.

Expected results:


Additional info:
Comment 1 Bryan Christ 2009-09-14 16:47:46 EDT
Using qemu-0.10.6-4.fc11.x86_64
Comment 2 Glauber Costa 2009-09-15 07:27:32 EDT
Does it also happen with raw images?
Comment 3 Bryan Christ 2009-09-15 10:51:04 EDT
Yes.  I just tried that.  It actually froze before copying the first file.  It was nearly immediately after selecting the install partition and clicking the button to begin the process.
Comment 4 Bryan Christ 2009-09-17 10:49:23 EDT
Ubuntu 9.04 32-bit is freezing during now.  Originally I was able to install it but after running the Ubuntu updates, it consistently freezes at a point when it would seem X is about to start.  If you think these are two different issues I will open a separate BZ.
Comment 5 Mark McLoughlin 2009-09-21 09:32:41 EDT
What is the full qemu command line?

Try running with e.g. -vnc :1 and connecting with vncviewer

Is it a dup of bug #519540 ?
Comment 6 Bryan Christ 2009-09-21 12:11:31 EDT
"Is it a dup of bug #519540 ?"

I don't think so.  I have tried running without audio enabled and also have tried with VNC as you suggested and it it did not matter.  Both Ubuntu 9.04 and DesktopBSD 1.7 freeze in the same place with VNC as they did with SDL.

"What is the full qemu command line?"

/usr/bin/qemu-kvm -monitor stdio -boot d -m 512 -hda /home/bchrist/work/virt/desktopbsd.img -cdrom /home/bchrist/work/iso/DesktopBSD/32-bit/1.7/DesktopBSD-1.7-i386.iso -net nic,vlan=0 -net user,vlan=0 -localtime -vnc :1
Comment 7 Mark McLoughlin 2009-09-21 12:23:25 EDT
Could you try

/usr/bin/qemu-kvm -monitor stdio -boot d -m 512 -file
/home/bchrist/work/virt/desktopbsd.img,cache=none -cdrom
/home/bchrist/work/iso/DesktopBSD/32-bit/1.7/DesktopBSD-1.7-i386.iso -net
nic,vlan=0 -net user,vlan=0 -localtime -vnc :1

and:

/usr/bin/qemu-kvm -monitor stdio -boot d -m 512 -file
/home/bchrist/work/virt/desktopbsd.img,cache=writethrough -cdrom
/home/bchrist/work/iso/DesktopBSD/32-bit/1.7/DesktopBSD-1.7-i386.iso -net
nic,vlan=0 -net user,vlan=0 -localtime -vnc :1

?
Comment 8 Bryan Christ 2009-09-21 12:42:10 EDT
i tried both cache=none and cache=writethrough and neither helped.

btw, i had to change your syntax to -drive file=/xxxxx,cache=xxxx (yours was missing the -drive param)
Comment 9 Mark McLoughlin 2009-09-21 12:49:54 EDT
I know this is a pain, but could you try reproducing with qemu-0.10.5 and qemu-0.10.92 ?

http://koji.fedoraproject.org/koji/buildinfo?buildID=132319
http://koji.fedoraproject.org/koji/buildinfo?buildID=106744
Comment 10 Bryan Christ 2009-09-21 13:25:33 EDT
Yeesh.  qemu-0.10.92 wants GLIBC_2.11 and i'm not brave enough to do that update.

/usr/bin/qemu-kvm: /lib64/libc.so.6: version `GLIBC_2.11' not found (required by /usr/bin/qemu-kvm)
Comment 11 Mark McLoughlin 2009-09-21 13:29:56 EDT
(In reply to comment #10)
> Yeesh.

:-)

The alternative is that the bug sits here until one of us gets around to reproducing it ... which may be forever

If we can at least narrow it down to a change between qemu-0.10.5 and qemu-0.10.6, that might trigger an idea about what the problem is

> qemu-0.10.92 wants GLIBC_2.11 and i'm not brave enough to do that
> update.

That's fair enough; how about trying to update qemu from virt-preview:

  http://markmc.fedorapeople.org/virt-preview/

You can revert back again once you've done the testing, of course

Thanks
Comment 12 Bryan Christ 2009-09-21 14:03:39 EDT
I tried the 0.10.5 package and the 0.10.92 package from virt-preview and neither helped.  I also compiled from source qemu-0.11.0-rc2.tar.gz (same as 0.10.92 i suspect) but no change in behavior either.
Comment 13 Mark McLoughlin 2009-09-21 14:30:50 EDT
Thanks for trying

That's fairly bizarre, both of those OS installs are tested as part of kvm-autotest AFAIK

Could you give us more details on the host machine, kernel, storage etc. ?
Comment 14 Bryan Christ 2009-09-21 14:37:06 EDT
Created attachment 361978 [details]
pci devices
Comment 15 Bryan Christ 2009-09-21 14:38:19 EDT
Created attachment 361979 [details]
cpu info
Comment 16 Bryan Christ 2009-09-21 14:38:49 EDT
Linux version 2.6.30.5-43.fc11.x86_64 (mockbuild@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.4.1 20090725 (Red Hat 4.4.1-2) (GCC) ) #1 SMP Thu Aug 27 21:39:52 EDT 2009
Comment 17 Bryan Christ 2009-09-21 14:39:37 EDT
qcow2 images are stored on md raid 1 array.
Comment 18 Mark McLoughlin 2009-10-01 03:56:27 EDT
avi: could you give Bryan some hints on how to debug why the guest is frozen? e.g. some kvmtrace magic?

hch: sounds like it could be storage related? Happens for both qcow2 and raw. Any ideas?

(In reply to comment #16)
> Linux version 2.6.30.5-43.fc11.x86_64

Might be worth trying a 2.6.31 kernel from F-12 to see if that helps?
Comment 19 Bryan Christ 2009-10-29 16:18:11 EDT
With the latest updates from yum including the latest qemu from updates-testing the Ubuntu problem has gone away and DesktopBSD doesn't freeze during installation anymore.  However, I now get an error message from the DesktopBSD installer complaining that my installation media is corrupt.  The details of the error say "Operation: cpio pass-through /usr, Exit code:1".  I do not believe the ISO image is corrupt because the sha256sum matches what is posted on the DesktopBSD website.
Comment 20 Fedora Admin XMLRPC Client 2010-03-09 11:53:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2010-03-09 12:17:22 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Justin M. Forbes 2010-03-11 13:53:48 EST
Does this reproduce with F-12 and current packages?
Comment 23 Bug Zapper 2010-04-28 06:22:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2010-06-28 10:39:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.